<?php
/* Mantenimiento de los registros de la tabla MST_ItemFiscal redefinidos por el usaurio */
class MST_ItemFiscalDP extends BaseMST_ItemFiscalDP
{
    public static function recuperarId()
    {
        $s_Sql = "SELECT IF( MAX( IdItemFiscal ) IS NULL, 1, MAX( IdItemFiscal ) + 1 ) i_Id  FROM MST_ItemFiscal ";
        $o_ResultSet = Conexion::getConexion()->prepareStatement( $s_Sql )->executeQuery();
        $o_ResultSet->next();
        $i_Id = $o_ResultSet->getInt( 'i_Id' );
        return $i_Id;
    }
}
?>